Loading...
Searching...
No Matches
pdumodel::PowerMeter::SettingsChangedEvent Struct Reference

Event: Power meter settings have changed. More...

Inheritance diagram for pdumodel::PowerMeter::SettingsChangedEvent:

## Public Attributes

Settings | oldSettings
| Settings before change.
Settings | newSettings
| Settings after change.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Power meter settings have changed.

Definition at line 98 of file PowerMeter.idl.

## Member Data Documentation

## newSettings

Settings pdumodel::PowerMeter::SettingsChangedEvent::newSettings

Settings after change.

Definition at line 100 of file PowerMeter.idl.

## oldSettings

Settings pdumodel::PowerMeter::SettingsChangedEvent::oldSettings

Settings before change.

Definition at line 99 of file PowerMeter.idl.

The documentation for this struct was generated from the following file:

- PowerMeter.idl